# QTextBlockFormat Class Reference

### [com.trolltech.qt.gui package]

Inherits QTextFormat.

### Constructor

- void QTextBlockFormat()

### Constructor Properties

- prototype: The QTextBlockFormat prototype object

### Prototype Object Properties

The QTextBlockFormat prototype object inherits properties from the QTextFormat prototype object and also has the following properties.

- Alignment alignment()
- qreal bottomMargin()
- int indent()
- qreal leftMargin()
- qreal lineHeight()
- int lineHeightType()
- bool nonBreakableLines()
- PageBreakFlags pageBreakPolicy()
- qreal rightMargin()
- void setAlignment(Alignment alignment)
- void setBottomMargin(qreal margin)
- void setIndent(int indent)
- void setLeftMargin(qreal margin)
- void setLineHeight(qreal height, int heightType)
- void setNonBreakableLines(bool b)
- void setPageBreakPolicy(PageBreakFlags flags)
- void setRightMargin(qreal margin)
- void setTabPositions(List tabs)
- void setTextIndent(qreal aindent)
- void setTopMargin(qreal margin)
- List tabPositions()
- qreal textIndent()
- qreal topMargin()

### Instance Properties

QTextBlockFormat objects have no special properties beyond those inherited from the QTextBlockFormat prototype object.